Bug 806957 - noarch packages marked as arch specific
noarch packages marked as arch specific
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-repos (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Jordan OMara
SAM QE List
:
Depends On:
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-26 11:30 EDT by Jesus M. Rodriguez
Modified: 2014-11-09 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 16:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2012-03-26 11:30:24 EDT
Description of problem:
noarch packages are being marked as arch specific for no reason.

For example, the postgresql jdbc driver is .x86_64 in the sam-1-rhel-6
repo when it should be .noarch

postgresql-jdbc.x86_64               8.4.701-3.el6               sam-1-rhel-6   
postgresql-jdbc.noarch               8.4.703-0.1.ep6.el6         jb-eap-6-rhel-6
Comment 2 Jordan OMara 2012-05-01 16:57:36 EDT
This is not really a SAM bug; more of a philosophical issue to take up with the postgres guys and their builds. Here's a sample build for an example of the arch-specific RPMs we normally get.

https://brewweb.devel.redhat.com/buildinfo?buildID=123215

Note You need to log in before you can comment on or make changes to this bug.